Subject: bug#71866: 30.0.50; [macOS] Cursor hiding char behind it with certain theme customization

From: Alan Third <[email-masked]>
Date: Mon, 22 Jul 2024 20:47:08 +0100

On Mon, Jul 22, 2024 at 10:15:17PM +0300, Eli Zaretskii wrote:
> 
> Are there any other ways of understanding why the cursor is sometimes
> not shown (and at times even the character under the cursor is not
> shown as well)?  If the relation between what the code does and what's
> on display is basically impenetrable, how do people debug Emacs
> display issues on macOS?

With great difficulty. My usual go-to is to make things print in
unusual colours, like using:

  [[NSColor systemRedColor] set]

before some graphics code. Or just print endless reams of text with
coordinates, etc.

There's probably some smart way of doing it, but I don't know it.

-- 
Alan Third